################################################################################

{{- $processingFirst := (keys .Values.processing.jobs) | first }}
{{- range $key, $job := .Values.processing.jobs }}

{{- if ne $key $processingFirst }}
---
{{- end }}

apiVersion: v1
kind: ServiceAccount
metadata:
  name: "{{ $.Release.Name }}-processing-{{ $key }}"
  labels:
    k8s.bitservices.io/processing: "{{ $key }}"
{{- include "php-nginx.processing.labels" $ | indent 4 }}
{{- if or $.Values.processing.serviceAccount.annotations 
          (($job.serviceAccount).annotations) }}
  annotations:
{{- range $key, $value := merge (($job.serviceAccount).annotations) $.Values.processing.serviceAccount.annotations }}
    {{ $key }}: "{{ tpl $value $ }}"
{{- end }}
{{- end }}

{{- end }}

################################################################################
